Subject: Re: [bug#34615] [PATCH] gnu: Add libtommath.

From: Efraim Flashner <[email-masked]>
Date: Sun, 24 Feb 2019 09:45:07 +0200

On Fri, Feb 22, 2019 at 11:30:54PM +0100, Tobias Geerinckx-Rice wrote:
> Efraim,
> 
> I noticed some PDF documentation that isn't currently installed. How about:
> 
>  (add-after 'build 'install-documentation
>    (lambda* (#:key outputs #:allow-other-keys)
>      (let* ((out (assoc-ref outputs "out"))
>             (doc (string-append out "/share/doc/" ,name "-"
> ,version)))
>        (for-each (lambda (file) (install-file file doc))
>                  (find-files "doc" "\\.pdf$"))
>        #t))))
> 
> (This mail was supposed to be longer because it *is* possible to regenerate
> al least bn.pdf from the .tex sources, but an hour and 6 GiB of texlive
> grafting later I don't have the energy to remove the non-determininstic date
> on their front page.  Foo.)
> 

I wanted to keep the install size smaller so I hadn't planned on
installing the documentation. Considering we don't build the
documentation currently, if there are PDFs that are shipped with the
source I should probably delete those in a snippet.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted